<?php  // $Id: config_instance_form.php,v 1.1 2008/05/12 12:41:09 rashan Exp $

require_once($CFG->libdir.'/formslib.php');

class activeusers_config_instance_form extends moodleform {

	function definition() {
		global $COURSE, $CFG;
		$mform    =& $this->_form;

		//General Settings
		$mform->addElement('header', 'general', get_string('general', 'form'));
		$mform->addElement('text', 'title', get_string("blocktitle","block_activeusers"));
		$mform->setType('title', PARAM_TEXT);
		// Number of users to be displayed
		$mform->addElement('text', 'numberofusers', get_string('numberofusers', 'block_activeusers'));
		$mform->setType('numberofusers', PARAM_INT);
		$mform->setDefault('numberofusers', 10);
		// show the numeric rank (Z-score) ?
		$mform->addElement('checkbox', 'showrank', get_string('showrank', 'block_activeusers'));
		// Update statistics immidiately
		$mform->addElement('checkbox', 'updatestats', get_string('updatestats', 'block_activeusers')); 

		// Date Range
		$mform->addElement('header', 'timerange', get_string('timerange', 'block_activeusers'));
		//The start date
		$mform->addElement('checkbox', 'havestart', get_string('havestart', 'block_activeusers'));
		$mform->addElement('date_selector', 'startdate', get_string("daterangestart","block_activeusers") );
		$mform->disabledIf('startdate', 'havestart', 'eq', 0);
		//The end date
		$mform->addElement('checkbox', 'haveend', get_string('haveend', 'block_activeusers'));
		$mform->addElement('date_selector', 'enddate', get_string("daterangeend","block_activeusers") );
		$mform->disabledIf('enddate', 'haveend', 'eq',0);

		// Pre-Defined Templates
		$mform->addElement('header', 'templates', get_string('templates', 'block_activeusers'));
		// Note on Templates
		$mform->addElement('static', 'templatesdesc','', get_string('templatesdesc', 'block_activeusers'));
		// Define Templates Array
		$templates = array();
		$templates['none'] = get_string('tmpl_none', 'block_activeusers');
		$templates['thisyear'] = get_string('tmpl_thisyear', 'block_activeusers');
		$templates['thismonth'] = get_string('tmpl_thismonth', 'block_activeusers');
		$templates['thisweek'] = get_string('tmpl_thisweek', 'block_activeusers');
		$templates['today'] = get_string('tmpl_today', 'block_activeusers');
		// Add template select box
		$mform->addElement('select', 'tmpltype', get_string('templateselect', 'block_activeusers'), $templates);

		if($COURSE->id!=SITEID){ // Show roles only inside courses
			// Set the roles to be proccessed
			$mform->addElement('header', 'displayroles', get_string('displayroles', 'block_activeusers'));
			// Roles check-box control
			$roles = get_all_roles();
			// The Default is to select all the roles
			// Note on Templates
			$mform->addElement('static', 'rolesdesc','', get_string('rolesdesc', 'block_activeusers'));
			foreach($roles as $role){
				$mform->addElement('checkbox', 'role_'.$role->id, $role->name);
			}
		}
		// Add standard buttons, common to all modules
		$this->add_action_buttons();
	}

	function validation($data) {
		print_object($data);
		return true;
	}
}

?>