<?php  //$Id: upgrade.php,v 1.1 2008/05/12 12:41:09 rashan Exp $

// This file keeps track of upgrades to
// the activeusers block
//
// The upgrade function in this file will attempt
// to perform all the necessary actions to upgrade
// your older installtion to the current version.
//
// If there's something it cannot do itself, it
// will tell you what you need to do.
//
// The commands in here will all be database-neutral,
// using the functions defined in lib/ddllib.php

function xmldb_block_activeusers_upgrade($oldversion=0) {

	global $CFG, $THEME, $db;
	$result = true;

	if ($result && $oldversion < 2008051201) {

		/// Define table block_activeusers to be created
		$table = new XMLDBTable('block_activeusers');

		/// Adding fields to table block_activeusers
		$table->addFieldInfo('id', XMLDB_TYPE_INTEGER, '10', XMLDB_UNSIGNED, XMLDB_NOTNULL, XMLDB_SEQUENCE, null, null, null);
		$table->addFieldInfo('blockid', XMLDB_TYPE_INTEGER, '10', XMLDB_UNSIGNED, XMLDB_NOTNULL, null, null, null, null);
		$table->addFieldInfo('userid', XMLDB_TYPE_INTEGER, '10', XMLDB_UNSIGNED, XMLDB_NOTNULL, null, null, null, null);
		$table->addFieldInfo('rank', XMLDB_TYPE_NUMBER, '6, 4', null, null, null, null, null, null);
		$table->addFieldInfo('lastupdated', XMLDB_TYPE_INTEGER, '10', XMLDB_UNSIGNED, null, null, null, null, null);

		/// Adding keys to table block_activeusers
		$table->addKeyInfo('primary', XMLDB_KEY_PRIMARY, array('id'));

		/// Adding indexes to table block_activeusers
		$table->addIndexInfo('instance_user', XMLDB_INDEX_UNIQUE, array('blockid', 'userid'));

		/// Launch create table for block_activeusers
		$result = $result && create_table($table);
	}


	return $result;
}

?>